XMLStreamWriter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.xml
[Java] Class XMLStreamWriter

    java.lang.Object
      org.codehaus.groovy.grails.web.xml.XMLStreamWriter

    public class XMLStreamWriter
    extends java.lang.Object

A simple XML Stream Writer that leverages the StreamingMarkupWriter of Groovy

Authors:
  Siegfried Puchbauer

Since:
  1.1

Nested Class Summary
`protected enum` | `XMLStreamWriter.Mode`

Field Summary
`protected XMLStreamWriter.Mode` | `mode`
`protected java.util.Stack` | `tagStack`
`protected StreamingMarkupWriter` | `writer`

Constructor Summary
`XMLStreamWriter(StreamingMarkupWriter writer)`

Method Summary
`XMLStreamWriter` | `attribute(java.lang.String name, java.lang.String value)`
`XMLStreamWriter` | `characters(java.lang.String data)`
`XMLStreamWriter` | `end()`
`protected void` | `endStartTag()`
`XMLStreamWriter` | `startDocument(java.lang.String encoding, java.lang.String version)`
`XMLStreamWriter` | `startNode(java.lang.String tag)`
`protected void` | `startTag()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### mode

    protected XMLStreamWriter.Mode mode

### tagStack

    protected java.util.Stack tagStack

### writer

    protected StreamingMarkupWriter writer

Constructor Detail

### XMLStreamWriter

    public XMLStreamWriter(StreamingMarkupWriter writer)

Method Detail

### attribute

    public XMLStreamWriter attribute(java.lang.String name, java.lang.String value)

### characters

    public XMLStreamWriter characters(java.lang.String data)

### end

    public XMLStreamWriter end()

### endStartTag

    protected void endStartTag()

### startDocument

    public XMLStreamWriter startDocument(java.lang.String encoding, java.lang.String version)

### startNode

    public XMLStreamWriter startNode(java.lang.String tag)

### startTag

    protected void startTag()

Groovy Documentation